dpkg-divert(8)

NAME
dpkg-divert - Hinwegsetzen über die Paketversion einer Datei

ÜBERSICHT
dpkg-divert [Option ?] Befehl

BESCHREIBUNG
dpkg-divert ist ein Hilfswerkzeug, um die Liste der Umleitungen einzurichten und zu aktualisieren.

File diversions are a way of forcing dpkg(1) not to install a file into its location, but to a diverted location. Diversions can be used through the Debian package scripts to move a file away when it causes a conflict. System administrators can also use it to override some package's configuration file, or whenever some files (which aren't marked as 'conffiles') need to be preserved by dpkg, when installing a newer version of a package which contains those files.

BEFEHLE

[--add] Datei
    Fügt eine Umleitung für Datei hinzu.

--remove Datei
    Entferne eine Umleitung für Datei.

--list Glob-Muster
    Liste Umleitungen auf, die auf Glob-Muster passen.

--listpackage Datei
    Gibt den Namen des Pakets aus, die Datei umleitet. Gibt LOCAL aus, falls die Datei lokal umgeleitet wurde und nichts, falls Datei nicht umgeleitet wurde.

--truename Datei
    Zeige den echten Namen für eine umgeleitete Datei an.

OPTIONEN

--admindir Verzeichnis
    Set the dpkg data directory to directory (default: /var/lib/dpkg).

--divert Umleitziel
    Umleitziel ist der Zielort, wo die Versionen der Datei, wie sie von anderen Paketen bereitgestellt wird, hin umgeleitet werden.

--local
    Gibt an, dass alle Versionen dieser Datei umgeleitet sind. Dies bedeutet, dass es keine Ausnahmen gibt, und egal was für ein Paket auch installiert ist, die Datei ist umgeleitet. Dies kann vom Administrator verwendet werden, um eine lokal geänderte Version zu installieren.

--package Paket
    Paket ist der Name des Pakets, dessen Kopie von Datei nicht umgeleitet wird, d.h. Datei wird für alle Pakete außer Paket umgeleitet.

--quiet
    Ruhiger Modus, d.h. keine langatmige Ausgabe.

--rename
    Schiebe die Dateien tatsächlich beiseite (oder zurück). dpkg-divert wird den Arbeitsvorgang abbrechen, falls die Zieldatei bereits existiert.

--test
    Testmodus, d.h. führe keine Änderungen durch, sondern zeige sie lediglich.

-?, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

UMGEBUNG

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

DPKG_MAINTSCRIPT_PACKAGE
    Falls gesetzt und die Optionen --local und --package nicht verwandt wurden, wird dpkg-divert dies als Paketnamen verwenden.

DATEIEN

/var/lib/dpkg/diversions
    File which contains the current list of diversions of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as status or available.
    Hinweis: dpkg-divert erhält die alte Kopie dieser Datei, mit der Endung -old, bevor es sie mit der neuen ersetzt.

BEMERKUNGEN
Beim Hinzufügen ist die Standardeinstellung --local und --divert Originalname.distrib. Beim Entfernen müssen, falls angegeben, --package oder --local und --divert übereinstimmen. Verzeichnisse können mit dpkg-divert nicht umgeleitet werden. Care should be taken when diverting shared libraries, ldconfig(8) creates a symbolic link based on the DT_SONAME field embedded in the library. Because ldconfig doesn't honour diverts (only dpkg does), the symlink may end up pointing at the diverted library, if a diverted library has the same SONAME as the undiverted one.

BEISPIELE
Um alle Kopien von /usr/bin/example auf /usr/bin/example.foo umzuleiten, d.h. alle Pakete, die /usr/bin/example zur Verfügung stellen, dazu anzuleiten, diese Datei stattdessen als /usr/bin/example.foo zu installieren und die Umbenennung, falls notwendig, durchzuführen:

dpkg-divert --divert /usr/bin/example.foo --rename /usr/bin/example

Um diese Umleitung zu entfernen:

dpkg-divert --rename --remove /usr/bin/example

Um für jedes Paket - außer Ihrem eigenen wibble-Paket -, das versucht, /usr/bin/example zu installieren, dieses auf /usr/bin/example.foo umzuleiten:

dpkg-divert --package wibble --divert /usr/bin/example.foo --rename /usr/bin/example

Um diese Umleitung zu entfernen:

dpkg-divert --package wibble --rename --remove /usr/bin/example

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2012 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
dpkg(1).